Uses of Class
org.apache.juneau.http.response.SeeOther
Packages that use SeeOther
Package
Description
HTTP Part Annotations
Next-generation HTTP response types.
Petstore admin console: the
/console page tree.Petstore console Developer pages: custom cards, themes, rendering flavors and the secure API demo.
Petstore console Rendering flavors: one console page per petstore view technology.
Petstore console operations pages: background jobs and the audit log.
Petstore console pets pages and their JSON endpoints.
Apache Juneau Petstore - Jetty/Microservice deployment.
Apache Juneau Petstore - Spring Boot deployment.
REST Interface Helper Classes
-
Uses of SeeOther in org.apache.juneau.http
Methods in org.apache.juneau.http that return SeeOther -
Uses of SeeOther in org.apache.juneau.http.response
Subclasses of SeeOther in org.apache.juneau.http.responseModifier and TypeClassDescriptionstatic classUnmodifiable point-in-time snapshot of the enclosingSeeOtherresponse.Fields in org.apache.juneau.http.response declared as SeeOtherModifier and TypeFieldDescriptionstatic final SeeOtherSeeOther.INSTANCEDefault unmodifiable instanceMethods in org.apache.juneau.http.response that return SeeOtherConstructors in org.apache.juneau.http.response with parameters of type SeeOtherModifierConstructorDescriptionCopy constructor.protectedUnmodifiable(SeeOther copyFrom) Constructor. -
Uses of SeeOther in org.apache.juneau.petstore.console
Methods in org.apache.juneau.petstore.console that return SeeOtherModifier and TypeMethodDescriptionPetstoreConsoleResource.index(RestRequest req) GET /consoleredirects to the store dashboard. -
Uses of SeeOther in org.apache.juneau.petstore.console.dev
Methods in org.apache.juneau.petstore.console.dev that return SeeOtherModifier and TypeMethodDescriptionDevRest.index(RestRequest req) Redirects the section root to its first child. -
Uses of SeeOther in org.apache.juneau.petstore.console.dev.flavors
Methods in org.apache.juneau.petstore.console.dev.flavors that return SeeOtherModifier and TypeMethodDescriptionFlavorsRest.index(RestRequest req) Redirects to the first flavor. -
Uses of SeeOther in org.apache.juneau.petstore.console.ops
Methods in org.apache.juneau.petstore.console.ops that return SeeOtherModifier and TypeMethodDescriptionOpsRest.index(RestRequest req) GET /console/opsredirects to the Jobs page. -
Uses of SeeOther in org.apache.juneau.petstore.console.pets
Methods in org.apache.juneau.petstore.console.pets that return SeeOtherModifier and TypeMethodDescriptionPetsRest.detail(RestRequest req, long id) The bare pet URL; lands on the first tab. -
Uses of SeeOther in org.apache.juneau.petstore.jetty
Methods in org.apache.juneau.petstore.jetty that return SeeOtherModifier and TypeMethodDescriptionRootResources.index(RestRequest req) GET /goes to the console store page. -
Uses of SeeOther in org.apache.juneau.petstore.springboot
Methods in org.apache.juneau.petstore.springboot that return SeeOtherModifier and TypeMethodDescriptionRootResources.index(RestRequest req) GET /goes to the console store page. -
Uses of SeeOther in org.apache.juneau.rest.server.beans
Subclasses of SeeOther in org.apache.juneau.rest.server.beansModifier and TypeClassDescriptionclassConvenience subclass ofSeeOtherfor redirecting a response to the servlet root.